Bug 37825 - mod_php4 lang/php4 mkdir bug (includes fix).
Summary: mod_php4 lang/php4 mkdir bug (includes fix).
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: dirk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-07 13:20 UTC by Jason
Modified: 2002-05-13 07:16 UTC (History)
1 user (show)

See Also:


Attachments
patch-ext_mkdir (538 bytes, text/plain)
2002-05-07 13:20 UTC, Jason
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason 2002-05-07 13:20:03 UTC
www/mod_php4 && lang/php4 version 4.2.0 have a bug with mkdir().

See: http://bugs.php.net/bug.php?id=16905

Fix: This bug has been fixed in the upcomming php 4.2.1.  But the patch below will fix in 4.2.0.  I added it to the files directory and tested with both the apache module and standalone release.
How-To-Repeat:        mkdir("lsd|dfdf");  // Will produce segmentation fault
Comment 1 Alex Dupre 2002-05-07 18:23:13 UTC
This is the reason of my php-dev port idea (ports/37612): get fixes
before a new official release.

				Alex Dupre
Comment 2 dwcjr freebsd_committer 2002-05-07 20:30:46 UTC
Responsible Changed
From-To: freebsd-ports->dirk

Over to maintainer.
Comment 3 jason 2002-05-10 10:28:42 UTC
On Tue, 7 May 2002, Alex Dupre wrote:

> This is the reason of my php-dev port idea (ports/37612): get fixes
> before a new official release.

No, you need to look at it the other way round :)

Its a good idea because it means bugs such as these have less chance of
making it into the release.

The one disadvantage of the Ports system is that if everyones using it to
maintain an immaculate system, people are going to be less eager to
perform testing.  Therefore FreeBSD testing exposure may be lower and
FreeBSD specific bugs have more chance of appearing in release versions.

For this to be a success you would have to be picking snapshots that are
"good enough" for production use.  I think most people assume that
anything in the ports tree is stable(ish).

Jason...

>
> 				Alex Dupre
>

====================================================================
Jason Taylor.          Kanda Systems Ltd.     Tel: +44/0 1970 621030
Systems Manager.       Unit 17 Glanyrafon     Fax: +44/0 1970 621040
jason@kanda.com.       Enterprise Park.    Mobile: +44/0 7976 926918
http://www.kanda.com.  Ceredigion, UK          http://shop.kanda.com
====================================================================
Comment 4 dirk freebsd_committer 2002-05-13 07:16:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!